body {
  margin: 0;
  padding: 0;
  height: 100%;
  position: relative;
  min-height: 100vh;
}

/*global*/
.all {
  overflow: hidden;
  display: block;
}
.content {
  padding-bottom: 3rem;
}

/*"UPLOAD REVIEW""*/
#h1title {
  background-image: linear-gradient(135deg, #f5f7fa 0%, #c3cfe2 100%);
}
#h1title h1 {
  font-family: "Oswald", sans-serif;
  font-size: 30px;
  color: #152238;
  font-weight: bold;
  text-decoration: none;
  text-align: center;
}

/*contents of the page*/
.background {
  background-color: #fffae6;
  margin: 0 auto auto auto;
}
.ya {
  text-align: justify;
  font-family: Karla;
  color: black;
  font-size: 15px;

  margin-right: 140px;
  margin-left: 140px;
}
.title {
  font-family: "Oswald", sans-serif;
  text-align: justify;
  font-size: 46px;
  line-height: 1.3cm;
  padding-bottom: 10px;
  color: #43536d;

  margin-right: 90px;
  margin-left: 90px;
}
.heading {
  text-align: justify;
  font-family: "Oswald", sans-serif;
  font-size: 25px;
  color: #e6be1e;

  margin-right: 90px;
  margin-left: 90px;
}
.subheading {
  font-family: "Oswald", sans-serif;
  text-align: justify;
  font-size: 20px;
  line-height: 0.5cm;

  margin-right: 90px;
  margin-left: 90px;
}
#access {
  color: white;
  background-color: #073763ff;
  font-family: "Karla", sans-serif;
  border-radius: 5px;

  margin: 10px 90px 10px 90px;
}
#access:hover {
  box-shadow: 5px 8px 14px #888888;
}
#average {
  margin-left: 90px;
}

/*table*/
#table {
  min-height: 185px;
  margin-top: 20px;
  margin-bottom: 15px;
  font-family: Karla;
}
.table {
  position: relative;
}
table.center {
  width: 80%;
  margin-left: auto;
  margin-right: auto;
  border: 1px solid black;
  border-collapse: separate;
}
table.center .sort_ASC:after {
  content: "▲";
}
table.center .sort_DESC:after {
  content: "▼";
}
th,
td {
  text-align: left;
  padding: 8px;
  border: 1px solid black;
}

tr:nth-child(even) {
  background-color: #cfe2f3ff;
}
tr:hover {
  background-color: #f5f5f5;
}

/*comment box*/
#comment {
  max-width: 580px;
  height: 500px;
  padding: 20px;
  border: 1px solid #d3d3d3;
  border-radius: 5px;
  background-color: #f5f5f5;

  margin-right: 140px;
  margin-left: 140px;
}

#label {
  font-family: "Karla", sans-serif;
  font-size: 16px;
  font-weight: bold;
  color: #152238;

  margin-right: 20px;
  margin-left: 20px;
}
#form {
  width: 90%;
  font-size: 15px;
  background: white;
  font-family: "Karla", sans-serif;
  border: 2px solid #d3d3d3;
  border-radius: 5px;
  padding: 5px;

  margin-top: 5px;
  margin-right: 20px;
  margin-left: 20px;
  
}

textarea {
  height: 100px;
  resize: none;
}
#post {
  background-color: #43536d;
  border: none;
  border-radius: 8px;
  color: white;
  padding: 5px 8px;
  font-size: 16px;
  cursor: pointer;
  font-weight: normal;
  font-family: "Oswald", sans-serif;
  margin-top: 15px;
  margin-right: 20px;
  margin-left: 20px;
  box-shadow: 0 6px 6px -5px rgba(0, 0, 0, 0.9);
  display: inline-block;
}
#post:hover {
  background-color: #1f2a3d;
  box-shadow: 3px 6px 12px #1f2a3d;
  transform: translateY(-5px);
  transition-duration: 0.25s;
}
#msg {
  display: inline-block;
  font-weight: normal;
  font-family: "Oswald", sans-serif;
  padding-left: 200px;
}
#nocmnt {
  font-weight: normal;
  font-family: "Karla", sans-serif;
  font-size: 18px;
  color: black;

  margin-right: 140px;
  margin-left: 140px;
}

/*star rating input*/
.rate {
  float: left;
  height: 5px;
  padding-right: 10px;
  padding: 0 20px;
}
.rate:not(:checked) > input {
  float: left;
  position: absolute;
}
.rate:not(:checked) > label {
  float: right;
  width: 1em;
  overflow: hidden;
  white-space: nowrap;
  cursor: pointer;
  font-size: 40px;
  color: #a9a9a9;
}
.rate:not(:checked) > label:before {
  content: "★ ";
}
.rate > input:checked ~ label {
  color: #ffc700;
}
.rate:not(:checked) > label:hover,
.rate:not(:checked) > label:hover ~ label {
  color: #deb217;
}
.rate > input:checked + label:hover,
.rate > input:checked + label:hover ~ label,
.rate > input:checked ~ label:hover,
.rate > input:checked ~ label:hover ~ label,
.rate > label:hover ~ input:checked ~ label {
  color: #c59b08;
}

/*comments preview*/
#stars {
  float: right;
}
#yellow {
  color: #ffc700;
  display: inline-block;
  font-size: 20px;
}
#grey {
  color: #a9a9a9;
  display: inline-block;
  font-size: 20px;
}
#starcntr {
  font-weight: bold;
  font-family: "Karla", sans-serif;
  font-size: 15px;
  color: #555555;
}
#cmntcntr {
  font-weight: bold;
  font-family: "Karla", sans-serif;
  font-size: 18px;
  color: black;
}
#cmntpreview {
  max-width: 900px;
  min-height: 100px;
  padding: 20px;
  border: 1px solid #d3d3d3;
  border-radius: 5px;
  background-color: #f5f5f5;

  margin: 0 140px 10px 140px;
}
#cmntname {
  font-weight: bold;
  font-family: "Karla", sans-serif;
  font-size: 20px;
  color: #43536d;

  margin-top: -5px;
  margin-bottom: -5px;
}
#cmntsec {
  font-weight: bold;
  font-family: "Karla", sans-serif;
  font-size: 16px;
  color: #767676;

  margin-top: 3px;
  margin-bottom: 3px;
}
#cmntdate {
  font-weight: normal;
  font-family: "Karla", sans-serif;
  font-size: 12px;
  color: black;

  margin-top: -2px;
  margin-bottom: 3px;
}
#cmnt {
  font-weight: normal;
  font-family: "Karla", sans-serif;
  font-size: 15px;
  color: black;
  text-align: justify;

  margin-bottom: -5px;
}

/*check for addresearch.php*/
#check h1 {
  font-family: "Oswald", sans-serif;
  font-size: 24px;
  color: #427942;
  font-weight: bold;
  text-decoration: none;
  line-height: -5px;
  text-align: center;
  margin-top: 30px;
}
#check p {
  font-family: "Karla", sans-serif;
  font-size: 16px;
  color: #212224;
  font-weight: bold;
  text-decoration: none;
  text-align: center;
}

@media screen and (max-width: 600px) {
  .title,
  .subheading,
  #access,
  #average,
  .heading {
    margin-right: 40px;
    margin-left: 40px;
  }

  .ya {
    margin-right: 55px;
    margin-left: 55px;
  }

  #comment {
    margin-right: 55px;
    margin-left: 55px;
  }
  
  #label {
  margin-right: 0;
  margin-left: 5px;
}

  #cmntpreview {
    margin-right: 55px;
    margin-left: 55px;
  }
  
  #nocmnt {
  margin-right: 20px;
  margin-left: 60px;
}
}
